Trigger single order - Fabric

Trigger single order

cURL

curl --request GET \
  --url https://prod01.copilot.fabric.inc/data-subscription/v1/orders/{orderId}/trigger-now \
  --header 'Authorization: Bearer <token>'

Python

import requests

url = "https://prod01.copilot.fabric.inc/data-subscription/v1/orders/{orderId}/trigger-now"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)

JavaScript (Fetch)

const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://prod01.copilot.fabric.inc/data-subscription/v1/orders/{orderId}/trigger-now', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

$curl = curl_init();
curl_setopt_array($curl, [
  CURLOPT_URL => "https://prod01.copilot.fabric.inc/data-subscription/v1/orders/{orderId}/trigger-now",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>"
  ],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Go

package main

import (
    "fmt"
    "net/http"
    "io"
)

func main() {

url := "https://prod01.copilot.fabric.inc/data-subscription/v1/orders/{orderId}/trigger-now"

req, _ := http.NewRequest("GET", url, nil)
    req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)
    defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Unirest (Java)

HttpResponse<String> response = Unirest.get("https://prod01.copilot.fabric.inc/data-subscription/v1/orders/{orderId}/trigger-now")
  .header("Authorization", "Bearer <token>")
  .asString();

Ruby

require 'uri'
require 'net/http'

url = URI("https://prod01.copilot.fabric.inc/data-subscription/v1/orders/{orderId}/trigger-now")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body

Response Statuses

200

403

404

JSON Response Example

{
  "responseStatus": "OK",
  "message": "Request processed successfully",
  "data": {
    "order": {
      "status": "SCHEDULED",
      "totalAmount": 100,
      "currencyCode": "USD",
      "scheduledDate": "2019-01-01T00:00:00.000Z",
      "customer": {
        "customerReferenceId": "12345",
        "locale": "en_US",
        "email": "customer@example.com",
        "firstName": "Pat",
        "lastName": "Kake",
        "contactnumber": "5555551234",
        "middleName": "E",
        "segments": [
          "employee"
        ],
        "employeeId": "345",
        "status": "ACTIVE",
        "isDeleted": false,
        "DeletedAt": "2021-01-01T00:00:00.000Z",
        "createdAt": "2019-10-12T21:35:05.756Z",
        "updatedAt": "2021-10-14T05:40:55.997Z",
        "communicationPreference": {
          "email": true,
          "sms": true
        }
      },
      "shipTo": {
        "name": {
          "firstName": "Pat",
          "lastName": "Kake",
          "middleName": "E"
        },
        "streetAddress": {
          "street1": "123 Main St",
          "street2": "Suite 100"
        },
        "city": "Boston",
        "state": "MA",
        "postalCode": "02127",
        "country": "US",
        "phone": {
          "number": "5555551234",
          "kind": "home"
        }
      },
      "billTo": {
        "name": {
          "firstName": "Pat",
          "lastName": "Kake",
          "middleName": "E"
        },
        "streetAddress": {
          "street1": "123 Main St",
          "street2": "Suite 100"
        },
        "city": "Boston",
        "state": "MA",
        "postalCode": "02127",
        "country": "US",
        "phone": {
          "number": "5555551234",
          "kind": "home"
        }
      },
      "paymentDetails": {
        "paymentIdentifier": {
          "cardIdentifier": "1234",
          "expiryDate": "12/20"
        },
        "paymentMethod": "credit_card",
        "paymentKind": "Visa"
      },
      "isDeleted": false,
      "deletedAt": "2019-01-01T00:00:00.000Z",
      "id": "6384462ab645220008a4358a",
      "totalTax": 10,
      "totalDiscount": 10,
      "lineItems": [
        {
          "lineItemId": 1,
          "subscription": {
            "plan": {
              "frequency": 30,
              "frequencyType": "Daily",
              "id": "1001"
            },
            "id": "6256610bc312410009b7390b"
          },
          "item": {
            "id": 1000000006,
            "sku": "MOBO-X570",
            "quantity": 1,
            "itemPrice": {
              "price": 100,
              "currencyCode": "USD"
            },
            "weight": 10,
            "weightUnit": "lb",
            "title": "Vitamin",
            "description": "Vitamin C",
            "tax": {
              "taxCode": "FR020000",
              "taxAmount": 10,
              "currencyCode": "USD"
            }
          },
          "shipping": {
            "shipmentCarrier": "USPS",
            "shipmentMethod": "Ground",
            "shipmentInstructions": "Please leave the package in the box",
            "taxCode": "SHP020000",
            "shippingAmount": 10,
            "taxAmount": 1,
            "currencyCode": "USD"
          },
          "offer": {
            "id": "SUB-E10717",
            "source": "PDP"
          },
          "customAttributes": {
            "storeId": "60cb07fc20387b000821c5c3",
            "associateId": 1,
            "trackingUrl": "609436d21baded0008945b05"
          }
        }
      ],
      "createdAt": "2021-10-12T21:35:05.756Z",
      "updatedAt": "2021-10-14T05:40:55.997Z",
      "statusUpdatedAt": "2021-10-14T10:24:36.468Z",
      "Retry": {
        "maxRetries": 3,
        "retryType": "PAYMENT RETRY",
        "retryAfterDays": 1,
        "retryCount": 2
      },
      "error": {
        "errorCode": "ORDER_NOT_FOUND",
        "errorMessage": "The order is not found"
      }
    }
  }
}

Error Response Example

{
  "Message": "User is not authorized to access this resource with an explicit deny"
}
{
  "responseStatus": "NOT_FOUND",
  "message": "Not found"
}

Authorizations

Path Parameters

Response